<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->string('CustomerNo')->unique();
            $table->string('FirstName');
            $table->string('SurName');
            $table->string('HouseName')->nullable();
            $table->string('StreetNo')->nullable();
            $table->string('StreetName')->nullable();
            $table->string('Town')->nullable();
            $table->string('Area')->nullable();
            $table->string('County')->nullable();
            $table->string('PostCode')->nullable();
            $table->string('EmailAddress')->nullable();
            $table->string('CustomerType')->nullable();
            $table->string('ContactNo')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};
